image: ruby:3.1

pages:
  stage: deploy
  before_script:
  - gem install compass zurb-foundation # CSS stylesheets generation
  - gem install asciidoctor # HTML generation
  - gem install wkhtmltox # PDF generation
  - gem install asciidoctor-epub3 # EPUB generation
  script:
  - ./publi.sh
  artifacts:
    paths:
    - public
  only:
  - main
